%define module   rtw89-BT


Name:            dkms-rtw89-bt
Version:         main
Release:         %mkrel 1

Summary:         dkms package for %{module} driver
License:         GPLv2
Group:           System/Kernel and hardware
Source0:         https://codeload.github.com/lwfinger/rtw89-BT/zip/refs/heads/%{version}
Source2:         dkms.conf
Patch0: btusb-patch-add-rtl8852be.patch
URL:             https://github.com/lwfinger/rtw89-BT

BuildRequires : make
BuildRequires : gcc
Requires: rtlwifi-firmware
Recommends: dkms-rtw89
Requires: dkms


%description
Provides Realtek Driver for Realtek 8852AE and 8852BE Bluetooth part
Source is https://github.com/lwfinger/rtw89-BT
Blacklist existing kernel module btusb to avoid conflicts !

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%install
mkdir -p %{buildroot}/%{_usrsrc}/%{module}-%{version}-%{release}/
#Removing firmwares existing from other packages rtlwifi-firmware
rm -r -f *.bin
cp -R * %{buildroot}/%{_usrsrc}/%{module}-%{version}-%{release}/

rm -f -r %{buildroot}/%{_usrsrc}/%{module}-%{version}-%{release}/debian

install -m644 %{SOURCE2} -D %{buildroot}%{_usrsrc}/%{module}-%{version}-%{release}/dkms.conf
mkdir -p %{buildroot}/%{_sysconfdir}/modprobe.d
echo "blacklist btusb" > %{buildroot}/%{_sysconfdir}/modprobe.d/blacklist-rtw89-BT.conf

%files
%{_usrsrc}/%{module}-%{version}-%{release}/*
%{_sysconfdir}/modprobe.d/blacklist-rtw89-BT.conf


%post -n %{name}
%{_sbindir}/dkms add -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms build -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
%{_sbindir}/dkms install -m %{module} -v %{version}-%{release} --rpm_safe_upgrade
exit 0

%preun -n %{name}
%{_sbindir}/dkms remove -m %{module} -v %{version}-%{release} --rpm_safe_upgrade --all
exit 0
